| Home | Libraries | People | FAQ | More

## Struct template construct

boost::xpressive::op::construct

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    template<typename T>
    struct construct {
      // types
      typedef T result_type;

      // public member functions
      T operator()() const;
      template<typename A0> T operator()(A0 const &) const;
      template<typename A0, typename A1>
        T operator()(A0 const &, A1 const &) const;
      template<typename A0, typename A1, typename A2>
        T operator()(A0 const &, A1 const &, A2 const &) const;
    };

## Description

### `construct` public member functions

1.     T operator()() const;

2.     template<typename A0> T operator()(A0 const & a0) const;

3.     template<typename A0, typename A1>
         T operator()(A0 const & a0, A1 const & a1) const;

4.     template<typename A0, typename A1, typename A2>
         T operator()(A0 const & a0, A1 const & a1, A2 const & a2) const;